function D=detMix_Vec(A)
% Only for symmetric/hermitian positive definite matrices
% A : N-by-d-by-d
% D : N-by-1
% D(i) = det A(i,:,:)
% https://www.researchgate.net/profile/Omid_Rezaifar/publication/220561323_A_new_approach_for_finding_the_determinant_of_matrices/links/59c0974baca272aff2e21691/A-new-approach-for-finding-the-determinant-of-matrices.pdf
% Formula modify by F.C. to work with symmetric/hermitian positive definite matrices
  N=size(A,1);d=size(A,2);
  if nargin==1 
    I=1:d;J=1:d;
    m=d;
  else
    I=varargin{1};J=varargin{2};
    assert(length(I)==length(J))
    m=length(I);
  end
  D=zeros(N,1);
  if m==1, D=A(:,1,1); return; end
  if m==2, D=(A(:,1,1).*A(:,2,2)-A(:,1,2).*A(:,2,1)); return;end
  A11=A(:,2:m,2:m);
  A1d=A(:,2:m,1:m-1);
  %Ad1=A(:,1:m-1,2:m);
  Add=A(:,1:m-1,1:m-1);
  A11dd=A(:,2:m-1,2:m-1);
  D=(fc_linalg3D.det.detMix_Vec(A11).*fc_linalg3D.det.detMix_Vec(Add)- ...
     fc_linalg3D.det.detLaplace_Vec(A1d).^2 ) ./ ...
     fc_linalg3D.det.detMix_Vec(A11dd);
end
